[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Removing memoizers from the 1.8 public API?

From: Ludovic Courtès
Subject: Re: Removing memoizers from the 1.8 public API?
Date: Fri, 14 Aug 2009 15:53:06 +0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)

Hi Neil,

Neil Jerram <address@hidden> writes:

> If the temptation is strong, though, I'd add that
> - 4d0949 looks safe.  It's arguably just a bug that these functions
>   were ever exposed, and I don't think that anyone will actually have
>   found them useful outside libguile.

Agreed.  I'll eventually commit this one if nobody objects.

> - b3ce13 looks like a non-starter to me.  By putting those function in
>   SCM_ENABLE_DEPRECATED we've explicitly acknowledged IMO that there
>   are possible reasonable uses for them; so removing them in the
>   middle of a stable series would be very odd.

Agreed, too (that was the reason for making it a separate patch).

Nevertheless, I think the rationale for having the non-deprecated
memoizers private holds as well for the deprecated memoizers.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]